Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.lather
Class CommandInfo

    java.lang.Object
      org.hyperic.hq.bizapp.shared.lather.CommandInfo

    public class CommandInfo

extends Object

Field Summary
`static String[]` | `ALL_COMMANDS`
`static String` | `CMD_AI_SEND_REPORT`
`static String` | `CMD_AI_SEND_RUNTIME_REPORT`
`static String` | `CMD_CONTROL_GET_PLUGIN_CONFIG`
`static String` | `CMD_CONTROL_SEND_COMMAND_RESULT`
`static String` | `CMD_MEASUREMENT_GET_CONFIGS`
`static String` | `CMD_MEASUREMENT_GET_SERVER_TIME`
`static String` | `CMD_MEASUREMENT_SEND_REPORT`
`static String` | `CMD_PING`
`static String` | `CMD_PLUGIN_SEND_REPORT`
`static String` | `CMD_REGISTER_AGENT`
`static String` | `CMD_TOPN_SEND_REPORT`
`static String` | `CMD_TRACK_SEND_CONFIG_CHANGE`
`static String` | `CMD_TRACK_SEND_LOG`
`static String` | `CMD_UPDATE_AGENT`
`static String` | `CMD_USERISVALID`
`static String[]` | `SECURE_COMMANDS`

Constructor Summary
`CommandInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_PING

    public static final String CMD_PING

See Also:
  Constant Field Values

### CMD_USERISVALID

    public static final String CMD_USERISVALID

See Also:
  Constant Field Values

### CMD_MEASUREMENT_GET_SERVER_TIME

    public static final String CMD_MEASUREMENT_GET_SERVER_TIME

See Also:
  Constant Field Values

### CMD_MEASUREMENT_GET_CONFIGS

    public static final String CMD_MEASUREMENT_GET_CONFIGS

See Also:
  Constant Field Values

### CMD_MEASUREMENT_SEND_REPORT

    public static final String CMD_MEASUREMENT_SEND_REPORT

See Also:
  Constant Field Values

### CMD_REGISTER_AGENT

    public static final String CMD_REGISTER_AGENT

See Also:
  Constant Field Values

### CMD_UPDATE_AGENT

    public static final String CMD_UPDATE_AGENT

See Also:
  Constant Field Values

### CMD_AI_SEND_REPORT

    public static final String CMD_AI_SEND_REPORT

See Also:
  Constant Field Values

### CMD_AI_SEND_RUNTIME_REPORT

    public static final String CMD_AI_SEND_RUNTIME_REPORT

See Also:
  Constant Field Values

### CMD_TRACK_SEND_LOG

    public static final String CMD_TRACK_SEND_LOG

See Also:
  Constant Field Values

### CMD_TRACK_SEND_CONFIG_CHANGE

    public static final String CMD_TRACK_SEND_CONFIG_CHANGE

See Also:
  Constant Field Values

### CMD_CONTROL_GET_PLUGIN_CONFIG

    public static final String CMD_CONTROL_GET_PLUGIN_CONFIG

See Also:
  Constant Field Values

### CMD_CONTROL_SEND_COMMAND_RESULT

    public static final String CMD_CONTROL_SEND_COMMAND_RESULT

See Also:
  Constant Field Values

### CMD_PLUGIN_SEND_REPORT

    public static final String CMD_PLUGIN_SEND_REPORT

See Also:
  Constant Field Values

### CMD_TOPN_SEND_REPORT

    public static final String CMD_TOPN_SEND_REPORT

See Also:
  Constant Field Values

### ALL_COMMANDS

    public static final String[] ALL_COMMANDS

### SECURE_COMMANDS

    public static final String[] SECURE_COMMANDS

Constructor Detail

### CommandInfo

    public CommandInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.